/*
(주)파이브센스_FIVESENSES.Corp.
파이브프로_FIVEPro_웹솔루션.
본 라이브러리(소스코드 및 디자인 포함)는 (주)파이브센스의 자산이며, 저작권법 및 부정경쟁방지법에 의해 보호됩니다.
무단 사용, 외부 유출, 복제, 배포, 변형을 금지합니다.
위반 시 민·형사상 법적 책임 및 손해배상 청구 대상이 됩니다.
작성일: 2025-03-18 | 저작권자: (주)파이브센스(520-86-01244) | All Rights Reserved.
*/
.widget-wrap.on .btn-wset {
	top:100px;
}

.main_mb7 {
    display: flex;
    flex-direction: column;
}

.main_mb7 .main_cont_container {
    position: relative;
    flex: 1;
    overflow: hidden;
}

/* 스와이프 */
.main_mb7 .swiper {
    z-index: 2;
    height: 100%;
    position: relative;
}

.main_mb7 .swiper-wrapper {
    height: 100%;
    display: flex;
    transition-property: transform;
}

.main_mb7 .swiper-slide {
    position: relative;
    z-index: 1;
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    transition-property: transform;
}

.main_mb7 .swiper-slide.swiper-slide-active {
    z-index: 2;
}

/* 스와이프 이미지 */
.main_mb7 .img_container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
}

.main_mb7 .img_container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 스와이프 동영상 */
.main_mb7 .iframe_container {
    height: 100%;
    overflow: hidden;
    border-radius: 50px;
    position: relative;
}

.main_mb7 .iframe_container .iframe_container_inner {
    width: 100%;
    height: 100%;
    padding-bottom: 56.25%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb7 .iframe_container iframe {
    position: absolute;
    left: 0;
    top: -60px;
    width: 100%;
    height: calc(100% + 120px);
    object-fit: cover;
}

/* 스와이프 동영상 요소이미지 */
.main_mb7 .iframe_container .itemSubVideoImg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb7 .iframe_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    z-index: 1;
    cursor: grab; /* 스와이프 UI 힌트를 제공 */
}

/* 스와이프 정보 */
#realMain_p .main_mb7 .swiper_info_container {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    padding: 0 15px;
    text-align: left;
	max-width:1510px !important;
}

/* 스와이프 요소이미지 */
.main_mb7 .swiper_info_container .itemSubImg {
    width: auto;
    margin: 0 auto 30px auto;
}

/* 스와이프 타이틀 */
.main_mb7 .swiper_title {
    margin-bottom: 35px;
}

.main_mb7 .swiper_title h2 {
    font-size: 75px;
    font-weight: bold;
    color: #fff;
    display: inline-block;
    width: auto;
	line-height:92px;
}

.main_mb7 .swiper_title h2 .point-color {
	color:var(--main-point-color-hover);
}

/* 스와이프 서브타이틀 */
.main_mb7 .swiper_subtitle {
    margin-bottom: 32px;
	opacity:0.3;
}

.main_mb7 .swiper_subtitle h3 {
    font-size: 20px;
    font-weight: 400;
    color: #fff;
    display: inline-block;
    width: auto;
}

/* 스와이프 버튼 */
.main_mb7 .btn_container {
    display: flex;
    justify-content: left;
    align-items: center;
    gap: 15px;
}

/* 스와이프 더보기 */
.main_mb7 .swiper_more,
.main_mb7 .swiper_goto {
    margin-bottom: 0px;
}

.main_mb7 .swiper_more a,
.main_mb7 .swiper_goto a {
    font-size: 18px;
    font-weight: 600;
    color: #fff;
    background: #235bf5;
    border-radius: 30px;
    padding: 18px 37px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main_mb7 .swiper_goto a {
    color: #0c0c0c;
    background: #fff;
}

.main_mb7 .swiper_more span,
.main_mb7 .swiper_goto span {
    margin-left: 10px;
}

/* 썸네일 */
#realMain_p .main_mb7 .swiper_thumbnail_container {
    width: calc(100% - 60px);
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    display: flex;
    justify-content: start;
    align-items: center;
	max-width:1530px !important;
}

/* 썸네일 이미지 */
.main_mb7 .swiper_thumbnail {
    width: 210px;
    height: 111px;
    border-radius: 10px 0 0 0;
    overflow: hidden;
    position: relative;
}

.main_mb7 .swiper_thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
}

.main_mb7 .swiper_thumbnail img:last-child {
    width: auto;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* 썸네일 텍스트 */
.main_mb7 .swiper_thumbnail_txt {
    width: 200px;
    height: 111px;
    border-radius: 0 10px 0 0;
    overflow: hidden;
    background: var(--main-point-color-hover);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px 28px 10px 10px;
}

.main_mb7 .swiper_thumbnail_txt h4 {
    font-size: 19px;
    font-weight: 700;
    color: #fff;
	/* font-family: 'GmarketSansMedium'; */
	position:relative;
	width:100%;
}

.main_mb7 .swiper_thumbnail_txt h4::before, .main_mb7 .swiper_thumbnail_txt h4::after {
	content:"";
	background-color:#fff;
	width:1.5px;
	height:9px;
	position:absolute;
	display:block;
	top:50%;
	transform:translateY(-50%);
	right:13px;
}

.main_mb7 .swiper_thumbnail_txt h4::before {
	transform:translate(0px, -1px) rotate(45deg);
}

.main_mb7 .swiper_thumbnail_txt h4::after {
	transform:translate(0px, -6px) rotate(-45deg);
}

/* 스와이프 재생버튼 */
.main_mb7 .swiper_btn_container {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 1820px; /* container_fix 상위 css */
}

.main_mb7 .swiper_btn {
    width: 30px;
    height: 30px;
    position: relative;
    margin-left: 15px;
}

.main_mb7 .swiper_btn .main_svg {
    --progress: 0;
    position: absolute;
    left: 0;
    top: 0px;
    width: 100%;
    height: 100%;
    stroke-width: 2px;
    stroke: #fff;
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
    box-sizing: border-box;
}

.main_mb7 .swiper_btn .sub_svg {
    position: absolute;
    left: 0;
    top: 0px;
    width: 100%;
    height: 100%;
    stroke-width: 2px;
    stroke: rgba(255,255,255,0.5);
    fill: none;
    stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
    stroke-dasharray: 125.6;
    transform: rotate(-90deg);
    box-sizing: border-box;
}

.main_mb7 .swiper_btn button {
    width: 100%;
    height: 100%;
    font-size: 16px;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_mb7 .swiper-button-prev:after {
	content:url(img/mb_prev.png);
}

.main_mb7 .swiper-button-next:after {
	content:url(img/mb_next.png);
}

/* 기존 navigation 세팅 제거 */
.main_mb7 .swiper-button-next,
.main_mb7 .swiper-button-prev {
    color: #fff;
}

.main_mb7 .swiper-button-next:after,
.main_mb7 .swiper-button-prev:after {
    font-size: 60px;
}

.main_mb7 .swiper-button-prev {
    left: 30px;
}

.main_mb7 .swiper-button-next {
    right: 30px;
}

/* 스와이프 페이지네이션 정보 */
.main_mb7 .swiper-pagination {
    position: static; /* 기존 position 없애기 */
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main_mb7 .swiper-pagination div.swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #f0f0f0;
    margin: 0 17px;
    position: relative;
}

/* 기존 pagination 세팅 제거 */
.main_mb7 .swiper-pagination-bullets.swiper-pagination-horizontal {
    top: auto;
    bottom: auto;
    left: auto;
    right: auto;
    width: auto;
}

.main_mb7 .swiper-pagination div.swiper-pagination-bullet-active {
    background: #fff;
}

/* 스크롤 화살표 */
.main_mb7 .swiper_scroll_container {
    position: absolute;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.main_mb7 .swiper_scroll_container img {
    margin-top: 5px;
}

/* 썸네일 모달창 */
.main_mb7 .iframe_thumb_container {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999999999;
    background: rgba(0,0,0,0.4);
    display: none;
}

.main_mb7 .iframe_thumb_container.on {
    display: block;
}

.main_mb7 .iframe_thumb_container .iframe_thumb {
    width: 100%;
    height: 100%;
    max-width: 1480px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    padding: 0 20px;
    margin: 0 auto;
	position:relative;
}

.main_mb7 .iframe_thumb img {
    width: 40px;
    margin-left: auto;
    margin-top: 90px;
    cursor: pointer;
    position: relative;
    z-index: 2;
}

.main_mb7 .iframe_modal {
    width: 80%;
    aspect-ratio: 16 / 9;
    position: absolute;
    overflow: hidden;
	top:50%;
	transform:translateY(-50%)
}

.main_mb7 .iframe_modal iframe {
    position: absolute;
    left: 0;
    top: -60px;
    width: 100%;
    height: calc(100% + 120px);
    pointer-events: none;
    object-fit: cover;
}

.main_mb7 .iframe_thumb_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    z-index: 1;
}

/* 게시판 리스트 */
.main_mb7 .board_list_container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 30px 0;
	max-width:1475px;
	position:absolute;
}

.main_mb7 .board_swiper .swiper {
    height: 35px;
    margin: 0;
}

.main_mb7 .board_swiper .swiper-slide {
    display: flex;
    align-items: center;
}

/* 게시판 타이틀 */
.main_mb7 .board_list_title {
    margin-bottom: 0px;
}

.main_mb7 .board_list_title h2 {
    font-size: 20px;
    font-weight: bold;
    color: #0c0c0c;
}

/* 게시판 내용 */
.main_mb7 .board_list_subtitle h3 {
    font-size: 17px;
    font-weight: 500;
    color: #5d5d5d;
}

/* 게시판 화살표 */
.main_mb7 .board_swiper .swiper-button-next,
.main_mb7 .board_swiper .swiper-button-prev {
    position: static;
    width: auto;
    height: auto;
    margin: 0 20px 0 30px;
    color: #0c0c0c;
}

.main_mb7 .board_swiper .swiper-button-next::after,
.main_mb7 .board_swiper .swiper-button-prev::after {
    display: none;
}